package components.baseComponents
{
	import mx.containers.Box;
	import mx.containers.VBox;
	import mx.controls.Label;
	import mx.controls.Spacer;

	public class TitleLabel extends VBox
	{
		private var __css:Object   = null;
		private var __title:Label  = null;
		private var __titleBox:Box = null;
		
		/**
		 * Cette classe définit un titre de section pour des formulaires.
		 * @param inText Titre de la section.
		 * @param inUpHeight Distance entre le titre et "le plafond".
		 * @param inDownHeight Distance entre le titre et "le plancher".
		 * @param inCss Cet objet contient les noms des classes CSS à appliquer.
	 	 *        Les propriétés sont les suivantes :
	 	 *        o 'titleText': Apparence du titre.
	 	 *        o 'titleContainer': Apparence du conteneur.
		 */
		
		public function TitleLabel(inText:String, inUpHeight:int, inDownHeight:int, inCss:Object=null)
		{
			
			var upSpacer:Spacer   = new Spacer();
			var downSpacer:Spacer = new Spacer();
			
			super();
			
			__title    = new Label();
			__titleBox = new Box();
			
			__title.percentWidth    = 100;
			__titleBox.percentWidth = 100;
			this.percentWidth       = 100;
			upSpacer.percentWidth   = 100;
			downSpacer.percentWidth = 100;
			
			upSpacer.height   = inUpHeight;
			downSpacer.height = inDownHeight;
			__title.text      = inText;
			__css = inCss;
			__setCss();
			
			__titleBox.addChild(__title);
			this.addChild(upSpacer);
			this.addChild(__titleBox);
			this.addChild(downSpacer);
		}
		
		/**
		 * Cette méthode applique les CSS au composant.
		 */
		
		private function __setCss():void
		{
			if (__css != null)
			{
				if (__css.hasOwnProperty('titleText'))      { __title.styleName    = __css.titleText; }
				if (__css.hasOwnProperty('titleContainer')) { __titleBox.styleName = __css.titleContainer; }
			}
		}
		
	}
}