package components.popups
{
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import evenements.Action;
	
	import mx.containers.Box;
	import mx.containers.TitleWindow;
	import mx.containers.VBox;
	import mx.controls.Button;
	import mx.controls.Spacer;
	import mx.controls.Text;
	import mx.core.IFlexDisplayObject;
	import mx.managers.PopUpManager;

	/** Cette classe est utilisée pour créer une fenêtre "popup" qui affiche les conditions générales d'utilisation.
	 */

	public class Cgus extends TitleWindow
	{
		private var __cgu:Text            = new Text();
		private var __okButton:Button     = new Button();
		private var __cancelButton:Button = new Button();
		private var __text:XML;
		

		
		public function Cgus()
		{
			var vbox:VBox      = new VBox();
			var box:VBox       = new VBox();
			var editBox:Box    = new Box();
			var vspacer:Spacer = new Spacer();
			
			super();
			
			__initXML();
			
			// Création de la zone de texte.
			editBox.width  = 500;
			editBox.height = 250;
			__cgu.htmlText = __text.data;
			__cgu.width    = editBox.width - 20;
			editBox.addChild(__cgu);
			
			// Création des boutons.
			__okButton.label     = "J'ai lu et j'accepte les conditions d'utilisation";
			__cancelButton.label = "Je refuse les conditions d'utilisation";

			// Création de la zone d'intéraction.
			vspacer.height       = 20;
			vspacer.percentWidth = 100; 
			box.setStyle("horizontalAlign", "center");
			box.percentWidth = 100;
			box.addChild(__okButton);
			box.addChild(__cancelButton);
			vbox.addChild(editBox);
			vbox.addChild(vspacer);
			vbox.addChild(box);

			// Création de la fénêtre.			
			this.showCloseButton = false;
			this.title           = "Conditions générales d'utilisation";
			this.setStyle("horizontalAlign", "center");
			this.addChild(vbox);
			
			// Assignation des fonctions destinées à fermer la boîte modale.
			__okButton.addEventListener(flash.events.MouseEvent.CLICK, __closeOk);
			__cancelButton.addEventListener(flash.events.MouseEvent.CLICK, __closeCancel);
		}
		
		/** Gestionnaire d'évènement associé au bouton "OK" de fermeture de la fenêtre.
		 *  @param event Évènement envoyé lorsque l'utilisateur presse le bouton "OK" de fermeture.
		 */
		
		private function __closeOk(event:Event):void
		{
			components.popups.PopupStatus.setStatus('OK');
			__closePopup();
		}

		/** Gestionnaire d'évènement associé au bouton "CANCEL" de fermeture de la fenêtre.
		 *  @param event Évènement envoyé lorsque l'utilisateur presse le bouton "CANCEL" de fermeture.
		 */
		
		private function __closeCancel(event:Event):void
		{
			components.popups.PopupStatus.setStatus('CANCEL');
			__closePopup();
		}
		
		/** Cette méthode ferme la "fenêtre surgissante".
		 */
		
		private function __closePopup():void
		{
			var b:IFlexDisplayObject = this as IFlexDisplayObject;
			__okButton.removeEventListener(flash.events.MouseEvent.CLICK, __closeOk);
			__cancelButton.removeEventListener(flash.events.MouseEvent.CLICK, __closeCancel);
			dispatchEvent(new Action('Action', 'CGU', "CguValidated", true));
			PopUpManager.removePopUp(b);
		}

		/** Crée le document XML qui contient les conditions générales d'utilisation.
		 */	
	
		private function __initXML():void
		{
			__text = <cgu><data><![CDATA[
<b>Pour pouvoir utiliser le Service, l'utilisateur doit posséder un accès internet, dont les éventuels coûts sont à sa charge.

Chaque utilisateur s'engage à fournir à Cyréalis des renseignements exacts sur son identité.

Afin de permettre un fonctionnement technique harmonieux du Service, certaines contraintes techniques doivent être respectées par les utilisateurs.

Il existe certaines rubriques qui permettent à l'utilisateur de donner son avis, de laisser des messages ou d'envoyer des fonds d'écran de sa création (ci après dénomés "Contenu Utilisateur"). Ces critiques dans ces différentes rubriques n'engagent que leur auteur et ne représentent en aucun cas un quelconque avis, conseil officiel de Cyréalis.

En envoyant du Contenu Utilisateur dans l'une quelconque des rubriques du Site WEB, l'utilisateur céde expressément et gracieusement à Cyréalis tous droits de propriété intellectuelle y afférant et notamment le droit de reproduction, de représentation, d'adaptation, sur tout support et en tout format connus ou inconnus à ce jour, pour le monde entier et pour la durée légale de protection des droits d'auteur.

Dans ce cadre, l'utilisateur s'engage à n'utiliser les rubriques que pour envoyer des messages et des informations qui sont propres à chaque rubrique. Ainsi, lorsque l'utilisateur s'engage, sans que la liste ci-après soit limitative, à ne pas : diffamer, abuser, harceler ou menacer quiconque, ni à violer les droits d'autrui tels que par exemple les droits de la personne, le droit à la vie privée, le droit à la dignité humaine, le droit de propriété intellectuelle, les droits d'auteur, ... et de manière générale les droits des personnes et des biens.
Dans le cadre de l'utilisation du forum de discussion, une charte d'utilisation additionnelle a été mise en place. Celle ci doit être consulter avant d'envoyer un message sur celui ci.

L'utilisateur est seul et unique responsable des propos tenus dans le Contenu Utilisateur et à ce titre garantit Cyréalis contre tout recours et/ou actions que pourrait intenter toute personne et ce du fait de la diffusion de son Avis sur le Site WEB. L'utilisateur assumera toutes charges et paiements concernant cesdites personnes quelle qu'en soit la cause ou la raison qui pourraient être dûs ou réclamés.

Cyréalis se réserve la possibilité discrétionnaire de publier ou non son Contenu Utilisateur sur son Site WEB, de le céder à un tiers, de le modifier, de l'adapter ou de le traduire en toute langue, de le conserver en ligne ou de le supprimer à tout moment et sans avoir à en informer l'utilisateur préalablement.

L'utilisateur signera électroniquement son accord en cliquant sur le bouton "OK".
Cette signature électronique vaudra acceptation sans réserve des présentes conditions générales d'utilisation du forum.

En cliquant sur le bouton "j'accepte sans réserve les conditions d'utilisation du site Clubic", le contrat régissant les relations entre Cyréalis et l'utilisateur sera formé.</b>
]]></data></cgu>
		}
	
	}
}