package components.popups
{
	import flash.events.Event;
	
	import mx.containers.Box;
	import mx.containers.HBox;
	import mx.containers.TitleWindow;
	import mx.containers.VBox;
	import mx.controls.Button;
	import mx.controls.Image;
	import mx.controls.Spacer;
	import mx.controls.Text;
	import mx.core.IFlexDisplayObject;
	import mx.managers.PopUpManager;
	
	import values.Configuration;
	
	/** Cette classe est utilisée pour créer la fenêtre qui affiche un message
	 */		

	public class Message extends TitleWindow
	{
		private var __okButton:Button = new Button();
		
		public function Message()
		{
			var vbox:VBox      = new VBox();
			var hbox:HBox      = new HBox();
			var text:Text      = new Text();
			var iconBox:Box    = new Box();
			var editBox:Box    = new Box();
			var buttonBox:Box  = new Box();
			var signe:Image    = new Image();
			var vspacer:Spacer = new Spacer();
			
			super();
			
			signe.source = components.popups.PopupMessage.getImage();
			iconBox.addChild(signe);
			
			text.htmlText = components.popups.PopupMessage.getMessage();
			text.setStyle("textAlign", "center");
			editBox.percentWidth  = 100;
			editBox.percentHeight = 100;
			editBox.setStyle("verticalAlign", "middle");
			editBox.addChild(text);
			
			hbox.addChild(iconBox);
			hbox.addChild(editBox);
			
			__okButton.label = "OK";
			buttonBox.percentWidth = 100;
			buttonBox.setStyle("horizontalAlign", "center");
			buttonBox.addChild(__okButton);
			
			vspacer.percentWidth = 100;
			vspacer.width        = 20;
			
			vbox.addChild(hbox);
			vbox.addChild(vspacer);
			vbox.addChild(buttonBox);
			this.addChild(vbox);
			this.title = "Succès";
			
			// Assignation de la fonction destinée à fermer la boîte modale.
			__okButton.addEventListener(flash.events.MouseEvent.CLICK, __close);
		}

		/** Gestionnaire d'évènement associé au bouton de fermeture de la fenêtre.
	 	 * 
	 	 * @param event Évènement envoyé lorsque l'utilisateur presse le bouton de fermeture.
	 	 */
		
		private function __close(event:Event):void
		{
			var b:IFlexDisplayObject = this as IFlexDisplayObject;
			__okButton.removeEventListener(flash.events.MouseEvent.CLICK, __close);
			PopUpManager.removePopUp(b);
		}
		
	}
}