package components.popups
{
	import mx.controls.Image;
	
	/**
	 * Cette classe est utilisée pour transmettre un message à un popup.
	 */
	
	public class PopupMessage
	{
		private static var __message:String;
		private static var __illustration:Class;

		/**
		 * Affecte un message pour le popup.
		 * @param inMessage Message à affecter au popup.
		 */

		public static function setMessage(inMessage:String):void { __message = inMessage; }

		/**
		 * Retourne le message préalablement affecté.
		 * @return La fonction retourne le message contenu dans la classe.
		 */
				
		public static function getMessage():String { return __message; }
		
		/**
		 * Affecte une illustration au message.
		 * @param inImage Image à affecter pour illustrer le message.
		 */
		
		public static function setImage(inImage:Class):void { __illustration = inImage; }
		
		/**
		 * Retourne l'image préalablement affecté.
		 * @param La fonction retourne l'image contenue dans la classe.
		 */
		
		public static function getImage():Class { return __illustration; }
		
	}
}