package components.popups
{
	/**
	 * Cette classe est destinée à être utilisée dans les "fenêtres surgissantes" qui possèdent (au moins) deux boutons (ex: "OK", "CANCEL").
	 */
	
	public class PopupStatus
	{
		private static var __status:String;
		private static var __handler:Function = null;
		
		/**
		 * Cette méthode permet de renseigner la valeur (qui représente une action de l'utilisateur).
		 * La fonction préalablement spécifiée est exécutée.
		 * @param inStatus Status injecté dans la classe.
		 */
		
		public static function setStatus(inStatus:String):void
		{
			__status = inStatus;
			if (__handler != null) { __handler(__status); }
		} 
		
		/**
		 * Cette méthode renvoie le status préalablement injecté dans la classe.
		 * @return La méthode renvoie le status préalablement injecté dans la classe.
		 */
		
		public static function getStatus():String { return __status; }
		
		/** 
		 * Cette méthode permet d'associer une fonction qui sera exécutée lors du renseignement du status.
		 * @param inFunction Fonction à exécuter.
		 *        La fonction doit présenter la signature suivante : function __gotCgu(inStatus:String):void
		 */
		
		public static function setHandler(inFunction:Function):void
		{
			__handler = inFunction;
		}
		
	}
}