package interfaces
{
	/** Cette interface définit les composants de type "Actor".
	 *  Un composant de ce type est identifié par un nom, et il signale des changements d'état "fonctionnel" en envoyant des évènements (de type "Action").
	 */
	
	public interface IActorInterface
	{
		/** Cette méthode permet de nommer le composant. Le nom est utilisé pour désigner l'émetteur d'un évènement de changement d'état fonctionnel.
		 *  @param inName Nom du composant. 
		 */
		
		function setName(inName:String):void;
	}
}