package tools
{
	import mx.collections.XMLListCollection;
	
	public class DataProviderTools
	{
		/** Cette fonction permet de déterminer l'index d'un élément dans une liste de sélection de type "ComboBox".
		 *  @param inAttributName Nom de l'attribut associé à l'élément recherché.
		 *  @param inAttributValue Valeur de l'attribut associé à l'élément recherché.
		 *  @param inProvider Liste d'éléments présents dans la liste de sélection.
		 *  @param inDefaultReturnValue Dans le cas où l'élément ne serait pas dans la liste de sélection, ce paramètre définit la valeur d'index à renvoyer.
		 *  @return La fonction retourne l'index de l'élément dans la liste de sélection.
		 *          Cette valeur peut être égale à la valeur "inDefaultReturnValue" fournie en paramètre, si l'élément n'est pas trouvé dans la liste.
		 *  @note Chaque élément de la liste des éléments présents dans le composant de sélection doit comporter les attributs suivants : "label" et "data".
		 */

		public static function getComboBoxDataProviderIndex(inAttributName:String, inAttributValue:String, inProvider:Object, inDefaultReturnValue:uint=0):uint
		{
			var inList:XMLListCollection = XMLListCollection(inProvider);
			
			// note: 
			// XMLListCollection = Interface spéciale autour d'un composant de type XMLList.
			//                     Une XMLListCollection est une XMLList.
			// XMLList = Tableau d'éléments XML.
			//           Un élément peut être n'importe quelle information du document XML (y compris un attribut!).
			
			for (var i:uint=0; i<inList.length; i++)
			{
				// Note: xml.@data <=> xml.attribute('data')
				if (inList[i].attribute(inAttributName) == inAttributValue) { return i; } 
			}
			
			return inDefaultReturnValue;
		}



	}
}