package values
{
	/** Classe de configuration. Cette classe contient les éléments de configuration des formulaires.
	 */
	
	public class Configuration
	{
		static private var __data:Object = new Object();
		
		/** 
		 * Sauve une variable de configuration.
		 * 
		 * @param name Nom de la variable.
		 * @param value Valeur de la variable.
		 */ 		
		public static function setValue(name:String, value:String):void { __data[name] = value; }

 		/**
 		 * Retourne une variable précédemment sauvée.
 		 * 
 		 * @param name Nom de la variable.
 		 * @return La fonction retourne la valeur de la variable définie par son nom, passée en paramètre.
 		 */
  		
		public static function getValue(name:String):String { return __data[name]; }
		
		/** Logo, dans le coin supérieur gauche de la page.
		 */
		[Embed(source="components/images/logo.gif")]
		static public const indexHeaderLogo:Class;
		
		/** Image utilisée pour symboliser le succès d'une opération.
		 */
		[Embed(source="components/images/ok.png")]
		static public const okSymbol:Class;
		
		/** Image utilisée pour symboliser l'échec d'une opération.
		 */
		[Embed(source="components/images/ko.png")]
		static public const koSymbol:Class;
		
		/** Largeur, en pixels, d'un formulaire.
		 */
		static public const formularWidth:uint = new uint(700);
		
		/** Expression régulière destinée à valider une adresse postale.
		 */
		static public const adresseRegExp:RegExp = /^[^<>\?\\]*$/m; 
		
		/** Expression régulière destinée à valider le nom d'une ville.
		 */
		static public const villeRegExp:RegExp = /^[^<>\?\\]*$/m; 
		
		/** Expression régulière destinée à valider la description de la sortie.
		 */
		static public const descriptionRegExp:RegExp = /^[^<>\\]*$/m; 
		
		/** Expression régulière destinée à valider le titre de la sortie.
		 */
		static public const titreRegExp:RegExp = /^[^<>\\]*$/m;
		
		/** Expression régulière destinée à valider le format d'un numéro de téléphone.
		 */
		static public const telephoneRegExp:RegExp = /^\s*\d{2}\s*\d{2}\s*\d{2}\s*\d{2}\s*\d{2}\s*$/;
	}
}